Subject: Re: draft-huitema-v6ops-teredo-03.txt

From: "Fred L. Templin" <[email-masked]>
Date: Mon, 13 Dec 2004 10:26:24 -0800 (PST)

I have a higher-level concern about Teredo than I have seen discussed
here. Up to now, I have been approaching these discussions from a
theoretical standpoint, but now I have some operational experience.
 
Let's suppose Teredo is published as a standard, and companies start
building the Teredo client, server, and host-specific relay functions into
their products. Lets also suppose that unsuspecting users beging deploying
those products behind vanilla NATs that allow the Teredo UDPs through.
 
Now, suppose some evil vendor (perhaps controlled in some way by a
terrorist organization) were to build some sort of function into a product
(e.g., a cell phone, a pacemaker, etc.) that allowed the product to "call home"
to the vendor or - even worse - allowed the vendor to call out to its deployed
devices and take control of them without the owner's explicit consent.
This seems like a recipe for global destruction by terrorist organizations -
"Automatic Sunset" indeed! Could "teredo" possibly be more aptly named?
 
People and assets need protection. Small groups are necessary for integrity,
accountability, and information sharing. Privacy still needs to be supported and
respected, but not to the extent that it allows corruption and perversion to flourish
without the caring safeguards of local groups of interest, e.g., communities, schools,
churches, synagogues, temples, mosques, etc. etc. (Too much privacy is
what gave us crimes against society like the 9/11 disaster, the Unabomber,
etc.)
 
The answer is in small groups. Not perfect groups, but groups that are
accountable for the actions of individual members. Groups that can respect
the individuals' privacy, but also provide a central base for healing if any of
them embers goes astray. Surely there must be a way to make this work
out - and the way has to involve close cooperatrion with a numbre or
technologies - not just Teredo alone.
 
Fred L. Templin
[email-masked]

---

From: "Fred L. Templin" <[email-masked]>
Date: Mon, 13 Dec 2004 12:27:20 -0800 (PST)

This is ab it incomplete; not only are small groups needed, but there
also needs to be ways to track the accountability of the small groups.
Hierarchical organizations, are needed from the top-down level. For
example, the US goverment is organized as a hierarchy of federal,
state, county, and local communities with accountability feeding
from the lower levels up the chain. This is NOT to say there should
be a "big brother" wacthing over everyone - only that a consistent
and fair manner of governing the small groups through hierarchies
be in place - with the ability for goverment to step in if and only
if groups or individuals go astray.
 
A hybrid bridge/router/firewall approach with the ISATP router as the point of
demarcation for communications destined to the local group and bridging
for VLANs passing through to other local groups supports this hierarchy.
The ISATP router is alsot the correct location for a just-in-time firewall
before any harmful communicatins can reach an unprotected final
destination.
 
Fred L. Templin
[email-masked]

"Fred L. Templin" <[email-masked]> wrote:
 
Fred L. Templin
[email-masked]